# Generated by Django 3.1.3 on 2020-11-16 15:28

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0069_auto_20201115_2105'),
    ]

    operations = [
        migrations.CreateModel(
            name='KeyType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name='LockingAuthorization',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('lock_id', models.CharField(max_length=255, verbose_name='Schlossnummer')),
                ('name', models.CharField(max_length=255, verbose_name='Schlossbezeichnung')),
                ('group', models.CharField(max_length=255, verbose_name='externe Schlossgruppe')),
            ],
        ),
        migrations.CreateModel(
            name='LockingAuthorizationGroup',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name='Person',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, verbose_name='Name')),
                ('role', models.CharField(max_length=255, verbose_name='Funktion')),
                ('telephone_number', models.CharField(blank=True, max_length=255, verbose_name='Telefonnummer')),
                ('street', models.CharField(blank=True, max_length=255, verbose_name='Straße')),
                ('post_place', models.CharField(blank=True, max_length=255, verbose_name='PLZ und Ort')),
                ('signer', models.CharField(blank=True, max_length=255, verbose_name='Finanzreferent')),
            ],
        ),
        migrations.CreateModel(
            name='Transponder',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('transponder_id', models.CharField(max_length=10, verbose_name='Transpondernummer')),
                ('status', models.CharField(choices=[('vault', 'Tresor'), ('sent', 'Ausgegeben')], default='vault', max_length=64, verbose_name='Status (nur intern)')),
                ('carrier', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='core.person', verbose_name='Besitzer')),
                ('locking_authorizations', models.ManyToManyField(blank=True, to='core.LockingAuthorization', verbose_name='Schließrechte')),
            ],
        ),
        migrations.AddField(
            model_name='lockingauthorization',
            name='internal_group',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='locking_authorizations', to='core.lockingauthorizationgroup', verbose_name='interne Schlossgruppe'),
        ),
        migrations.CreateModel(
            name='Key',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('key_id', models.CharField(max_length=10)),
                ('status', models.CharField(choices=[('vault', 'Tresor'), ('sent', 'Ausgegeben')], default='vault', max_length=64, verbose_name='Status (nur intern)')),
                ('carrier', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='keys', to='core.person')),
                ('key_type', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='core.keytype')),
            ],
        ),
    ]
